OpenNMS API 1.2.9

## org.opennms.web.vulnerability
Class VulnerabilityFactory.ResolutionType

    java.lang.Object
      org.opennms.web.vulnerability.VulnerabilityFactory.ResolutionType

Enclosing class:
  VulnerabilityFactory

public static class VulnerabilityFactory.ResolutionType
extends java.lang.Object

Convenience class to determine what sort of events to include in a query.

Field Summary
`static int` `_BOTH`
`static int` `_OPEN`
`static int` `_RESOLVED`
`static VulnerabilityFactory.ResolutionType` `BOTH`
`protected int` `id`
`protected java.lang.String` `name`
`static VulnerabilityFactory.ResolutionType` `OPEN`
`static VulnerabilityFactory.ResolutionType` `RESOLVED`

Constructor Summary
`private` `VulnerabilityFactory.ResolutionType(java.lang.String name, int id)`

Method Summary
`int` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _OPEN

    public static final int _OPEN

See Also:
  Constant Field Values

### _RESOLVED

    public static final int _RESOLVED

See Also:
  Constant Field Values

### _BOTH

    public static final int _BOTH

See Also:
  Constant Field Values

### OPEN

    public static final VulnerabilityFactory.ResolutionType OPEN

### RESOLVED

    public static final VulnerabilityFactory.ResolutionType RESOLVED

### BOTH

    public static final VulnerabilityFactory.ResolutionType BOTH

### name

    protected java.lang.String name

### id

    protected int id

Constructor Detail

### VulnerabilityFactory.ResolutionType

    private VulnerabilityFactory.ResolutionType(java.lang.String name,
                                                int id)

Method Detail

### toString

    public java.lang.String toString()

### getName

    public java.lang.String getName()

### getId

    public int getId()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.